<?php
 class Personnel
 { // -- Les propriétés --
  private $_nom   ;
  // -- Constructeur --
  function __construct($n) {
   try {
     if (empty($n)) throw new Exception('Pas de création:Nom vide',15);
     $this->_nom=$n;
     echo "Création de ".$this->_nom.PHP_EOL;
   }
   catch (Exception $e) {
     echo $e->getMessage().PHP_EOL;
     echo "Erreur numéro    : ".$e->getCode().PHP_EOL;
     echo "Fichier          : ".$e->getFile().PHP_EOL;
     echo "Ligne            : ".$e->getLine().PHP_EOL;
     echo "Tableau de trace : ".PHP_EOL;
     print_r($e->getTrace());
     echo "Trace formaté    : ".$e->getTraceAsString().PHP_EOL;
     echo "Chaîne formatée  : ".$e->__toString().PHP_EOL;
   }
  }
 }
 $UnePers1 = new Personnel("dupont");
 $UnePers2 = new Personnel("");
?>